Upgrade issues 4.0.17 -> 4.2.1

Upgrade from 4.0.17 and having some issues with email notices. It seems
to be connected to scrips. I did run the “make upgrade-database”

[11794] [Wed Dec 4 03:20:20 2013] [warning]: DBD::mysql::st execute
failed: Table ‘rt4.ObjectScrips’ doesn’t exist at sbin/rt-validator line
1300. (sbin/rt-validator:1300)
[11794] [Wed Dec 4 03:20:20 2013] [critical]: DBD::mysql::st execute
failed: Table ‘rt4.ObjectScrips’ doesn’t exist at sbin/rt-validator line
1300. (/usr/local/rt4/sbin/…/lib/RT.pm:391)
DBD::mysql::st execute failed: Table ‘rt4.ObjectScrips’ doesn’t exist at
sbin/rt-validator line 1300.

Is there a way I can manually correct this missing rt4.ObjectScrips
entry? Or better yet script I can run in the upgrade area?

Mike Wilson

Upgrade from 4.0.17 and having some issues with email notices. It seems
to be connected to scrips. I did run the “make upgrade-database”

The errors below imply that it if you did run it, it did not complete.

Show the “RT Upgrade History” section of Admin → Tools → System
Configuration.

  • Alex

Upgrade from 4.0.17 and having some issues with email notices. It seems
to be connected to scrips. I did run the “make upgrade-database”

The errors below imply that it if you did run it, it did not complete.

Show the “RT Upgrade History” section of Admin → Tools → System
Configuration.

  • Alex

Aha! I found:

Upgrade from 4.1.0 to 4.1.1 (Incomplete)

Fixed that and got things rolling properly. Thanks for telling me about
that. Had no idea it logged that there.

Mike Wilson

Aha! I found:

Upgrade from 4.1.0 to 4.1.1 (Incomplete)

Fixed that and got things rolling properly. Thanks for telling me about
that. Had no idea it logged that there.

It’s new in 4.2. However, it is no substitute for reading the ‘make
upgrade-database’ output itself.

  • Alex

Aha! I found:

Upgrade from 4.1.0 to 4.1.1 (Incomplete)

Fixed that and got things rolling properly. Thanks for telling me about
that. Had no idea it logged that there.

It’s new in 4.2. However, it is no substitute for reading the ‘make
upgrade-database’ output itself.

  • Alex

Fair point, unfortunately I mis-understood just where it broke down
(thought it died in 4.1.1, not 4.1.0 because it was in the 4.1.1 section
where I saw the errors).

The new log feature definitely helps.

Mike Wilson